%global srcname inflect

Summary:        Correctly generate plurals, ordinals, indefinite articles; convert numbers to words
Name:           python-%{srcname}
Version:        5.6.2
Release:        1%{?dist}
License:        MIT
URL:            https://pypi.org/project/%{srcname}
Source0:        %{pypi_source}

BuildRequires:  python3-devel python3-setuptools python3-setuptools_scm

# test
BuildRequires:  python3-nose python3-pytest python3-six

BuildArch:      noarch

%description
The methods of the class 'engine' in module 'inflect.py' provide plural
inflections, singular noun inflections, "a"/"an" selection for English words,
and manipulation of numbers as words.

Plural forms of all nouns, most verbs, and some adjectives are provided. Where
appropriate, "classical" variants (for example: "brother" -> "brethren",
"dogma" -> "dogmata", etc.) are also provided.

Single forms of nouns are also provided. The gender of singular pronouns can be
chosen (for example "they" -> "it" or "she" or "he" or "they").

Pronunciation-based "a"/"an" selection is provided for all English words, and
most initialisms.

It is also possible to inflect numerals (1,2,3) to ordinals (1st, 2nd, 3rd) and
to English words ("one", "two", "three").

%package -n python3-%{srcname}
Summary:        Correctly generate plurals, ordinals, indefinite articles; convert numbers to words

%description -n python3-%{srcname}
The methods of the class 'engine' in module 'inflect.py' provide plural
inflections, singular noun inflections, "a"/"an" selection for English words,
and manipulation of numbers as words.

Plural forms of all nouns, most verbs, and some adjectives are provided. Where
appropriate, "classical" variants (for example: "brother" -> "brethren",
"dogma" -> "dogmata", etc.) are also provided.

Single forms of nouns are also provided. The gender of singular pronouns can be
chosen (for example "they" -> "it" or "she" or "he" or "they").

Pronunciation-based "a"/"an" selection is provided for all English words, and
most initialisms.

It is also possible to inflect numerals (1,2,3) to ordinals (1st, 2nd, 3rd) and
to English words ("one", "two", "three").

%prep
%autosetup -n %{srcname}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%check
pytest

%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE

%changelog
* Tue Jan 9 2024 Shuo Wang <abushwang@tencent.com> - 5.6.2-1
- initial build
